Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
GETProject OperationsSince 2.4.0SynchronousAuth Required

GetIAM2SystemAttributes

GetIAM2SystemAttributes

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • valueStringRequired

      字段值。

    • typeAttributeTypeRequired

      See type.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

GET/v1/iam2/attributes/system

/v1/iam2/attributes/system

Operation ID

GetIAM2SystemAttributes

Permalink

Request Example

curl -X GET 'http://{host}/v1/iam2/attributes/system?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "f6fb2ce8587d4455b51164b3970b2568", "name": "__ProjectAdmin__", "type": "System" } ] }

Change History

This API has no change history records yet.

View all change history